# $XConsortium: filelist.tcl /main/2 1996/10/19 18:52:58 kaleb $
#
#
#
#
# $XFree86: xc/programs/Xserver/hw/xfree86/XF86Setup/filelist.tcl,v 3.4.2.1 1998/02/26 13:58:58 dawes Exp $
#
# Copyright 1996 by Joseph V. Moss <joe@XFree86.Org>
#
# See the file "LICENSE" for information regarding redistribution terms,
# and for a DISCLAIMER OF ALL WARRANTIES.
#

# Debian: changed expected file modes from 444 to 644
#         removed lib/X11/xkb/compiled/README entry
#         removed bin/twm entry
#         removed bin/xterm entry

# List of files that are needed by this program or programs spawned by it.
# These lists are not meant to be exhaustive, but they should be
# complete enough to ensure that all the needed .tgz files have been
# installed

array set FilePermsDescriptions {
	Libs	"X11 libraries"
	Cfg	"configuration and application default files"
	Fonts	"standard font files"
	DB	"device, keysym, error, locale, and color databases"
	Bin	"standard X client programs"
	VidTune	"xvidtune configuration files and/or the xvidtune program"
	XKB	"X keyboard extension programs and configuration files"
}

array set FilePermsLibs {
	lib/libX11*				644
	lib/libXaw*				644
	lib/libXext*				644
	lib/libXi*				644
	lib/libXmu*				644
	lib/libXtst*				644
	lib/libSM*				644
	lib/libICE*				644
}

array set FilePermsCfg {
	lib/X11/xinit/xinitrc			644
	lib/X11/app-defaults/Bitmap		644
	lib/X11/app-defaults/XLogo		644
	lib/X11/app-defaults/XTerm		644
}

array set FilePermsFonts {
	lib/X11/fonts/misc/fonts.dir		644
	lib/X11/fonts/misc/fonts.alias		644
	lib/X11/fonts/misc/6x13.pc*		644
	lib/X11/fonts/75dpi/fonts.dir		644
	lib/X11/fonts/75dpi/symb10.pc*		644
}

array set FilePermsDB {
	lib/X11/XErrorDB			644
	lib/X11/XKeysymDB			644
	lib/X11/rgb.txt				644
	lib/X11/Cards				644
	lib/X11/locale/locale.dir		644
	lib/X11/locale/C/XLC_LOCALE		644
}

array set FilePermsBin {
	bin/SuperProbe				755
	bin/bitmap				755
	bin/mkfontdir				755
	bin/xdpyinfo				755
	bin/xinit				755
	bin/xset				755
}

array set FilePermsVidTune {
	bin/xvidtune				755
	lib/X11/app-defaults/Xvidtune		644
}

array set FilePermsXKB {
	bin/xkbcomp				755
	lib/X11/xkb/xkbcomp			755
	lib/X11/xkb/compat/default		644
	lib/X11/xkb/geometry/pc			644
	lib/X11/xkb/keycodes/xfree86		644
	lib/X11/xkb/keymap/xfree86		644
	lib/X11/xkb/semantics/default		644
	lib/X11/xkb/symbols/us			644
	lib/X11/xkb/types/default		644
	lib/X11/xkb/rules/xfree86		644
	lib/X11/xkb/rules/xfree86.lst		644
}

array set FilePermsReadMe {
	lib/X11/doc/README.DECtga		644
	lib/X11/doc/README.MGA			644
	lib/X11/doc/README.Mach32		644
	lib/X11/doc/README.Mach64		644
	lib/X11/doc/README.NV1			644
	lib/X11/doc/README.Oak			644
	lib/X11/doc/README.P9000		644
	lib/X11/doc/README.S3			644
	lib/X11/doc/README.S3V			644
	lib/X11/doc/README.SiS			644
	lib/X11/doc/README.Video7		644
	lib/X11/doc/README.W32			644
	lib/X11/doc/README.WstDig		644
	lib/X11/doc/README.agx			644
	lib/X11/doc/README.ark			644
	lib/X11/doc/README.ati			644
	lib/X11/doc/README.chips		644
	lib/X11/doc/README.cirrus		644
	lib/X11/doc/README.trident		644
	lib/X11/doc/README.tseng		644
}

